Page MenuHomePhabricator

Non-existent categories seemingly not accepted in the category selector when uploading a file
Closed, ResolvedPublic1 Story Points

Description

Since today, a new keying box is proposed that does not accept nonexistent categories.

Event Timeline

Henry_Salome updated the task description. (Show Details)
Henry_Salome raised the priority of this task from to Needs Triage.
Henry_Salome added a project: UploadWizard.
Henry_Salome added a subscriber: Henry_Salome.
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 8 2015, 1:30 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript

@Henry_Salome: Thanks for reporting this!

Wondering if that's related to T51710: Make categories more required-looking and/or T112764: Replace CoolCats with mw.widgets.CategorySelector.

What does "does not accept nonexistent categories" mean exactly? What are the steps that you perform on which website and with which browser, and what happens exactly? See https://www.mediawiki.org/wiki/How_to_report_a_bug for more general information. Thank you!

Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 8 2015, 1:44 PM

The thread on https://commons.wikimedia.org/wiki/Commons:Forum#Kategorien_beim_UploadWizard implies that this might not be bad when it comes to new uploaders.

Navigator : Seamonkey
Website and page : https://commons.wikimedia.org/wiki/Special:UploadWizard
Step : Describe
Previously, we could type the name of a new category for the uploaded file, the uploader answered something like : "Category not yet used" but the category was accepted and we could create it after the uploading.
Now, since today, a new keying box is proposed with categories aligned horizontally (instead of several boxes aligned vertically) and the only categories accepted are existing ones.
For instance, for several photos of a church, I could key the category "Our Lady church of XXX" (not yet used) and copy it with the "magic" copy tool in the description of the next photos.
Now I had to create first the category in a new tab and come back to the uploading tab, key the category for the first photo and copy it with the "magic" copy tool.

Henry_Salome added a comment.EditedOct 8 2015, 3:05 PM

@Aklapper : I'm uploading images since nearly 10 years, first on 08/25/2006 ([https://commons.wikimedia.org/wiki/User:Henry_Salom%C3%A9 my user page). Ich verstehe daß Sie das für die neuen Benutzer gemacht haben. Ich werde nach "Upload your own work" zurückkehren.

matmarex added a comment.EditedOct 8 2015, 3:07 PM

@Henry_Salome: You need to press "Enter" in the field after typing a category name (whether the category exists or not), and the category should be accepted. (Now that I have written this down, this is indeed very confusing and should be changed.)

Henry_Salome added a comment.EditedOct 8 2015, 3:20 PM

@matmarex : Already tested ! It works and I'm so shame not to have tried it ! ;) Thank you so much... and I'll stay with Upload Wizard ! And sorry too for having moved so many people...
Maybe we can remove our comments ?

matmarex renamed this task from New categories no longer accepted to Non-existent categories seemingly not accepted in the category selector when uploading a file.Oct 9 2015, 11:41 AM
matmarex triaged this task as High priority.
matmarex added a project: VisualEditor.
matmarex set Security to None.
matmarex claimed this task.

No, thank you for filing this, this is definitely a problem that we weren't aware of. If it wasn't clear to you, it won't be clear to other people, who unlike you won't report it, but just leave disgruntled. :)

Change 244673 had a related patch set uploaded (by Bartosz Dziewoński):
CapsuleMultiSelectWidget: When 'allowArbitrary' is true, don't require 'Enter' to confirm

https://gerrit.wikimedia.org/r/244673

Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 244673 merged by jenkins-bot:
CapsuleMultiSelectWidget: When 'allowArbitrary' is true, don't require 'Enter' to confirm

https://gerrit.wikimedia.org/r/244673

Prtksxna moved this task from Untriaged to Done on the Multimedia board.Oct 12 2015, 10:58 AM

Change 245867 had a related patch set uploaded (by Bartosz Dziewoński):
OOjs UI: Backport aadaa8a1, 9aba218a

https://gerrit.wikimedia.org/r/245867

Change 245867 merged by jenkins-bot:
OOjs UI: Backport aadaa8a1, 9aba218a

https://gerrit.wikimedia.org/r/245867

Jdforrester-WMF closed this task as Resolved.Oct 13 2015, 2:50 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

@matmarex Well, right now, I've no images to upload. It seems we'll have a sunny day on Friday. I'll have my usual 80 miles trip with my camera and will upload the results on Saturday. Thank you for your action.